Page MenuHomePhabricator

Organize Wikimedia Labs activities at the Wikimedia Hackathon 2015
Closed, ResolvedPublic

Description

(Please keep this description up to date)

Wikimedia Labs is one of the main areas of the Wikimedia-Hackathon-2015. Contributors welcome!

Training

FIXME

Microtasks

FIXME

Hacking projects

FIXME: define which are the projects selected by the own Wikimedia Labs maintainers participating in the event.

Meetings

FIXME: any Wimedia Labs meetings planned?

Related Objects

Event Timeline

Qgil created this task.Mar 10 2015, 2:42 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, coren, Andrew, yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 2:42 PM
Qgil added a subscriber: Toolforge.Mar 10 2015, 2:45 PM

Can you nominate a main contact for the Wikimedia Labs area, please? We are doing the same for the other main areas.

Also, I wonder whether we could mobilize the Toolforge community, and whether they would be part of this main area or an area on its own. Advice welcome.

Qgil added a subscriber: silke.Mar 13 2015, 9:33 AM

Can you nominate a main contact for the Wikimedia Labs area, please? We are doing the same for the other main areas.

Please...

Also, I wonder whether we could mobilize the Toolforge community, and whether they would be part of this main area or an area on its own. Advice welcome.

I think it makes sense to start pooling all the energies in the same pocket.

Hi @silke and others involved, what is the best way to encourage the Toolforge community to register to the event, and request / propose activities?

Hello! Apologies for the delayed response. @coren @Andrew are you ok with me volunteering to be 'main contact'?

Also, I wonder whether we could mobilize the Toolforge community, and whether they would be part of this main area or an area on its own. Advice welcome.

I think they should be part of this area.

Paging @Magnus, @Multichill, @valhallasw, @scfc, and others as well.

@yuvipanda I'd be happy if you would. I'm going to have my plate very full this hackathon as I've got about a half-dozen volunteers joining me for two days of intensive work on T92287 during the Hackathon proper in addition to the session I want to present.

Qgil updated the task description. (Show Details)
Qgil added a project: Toolforge.
Qgil set Security to None.
silke added a comment.Mar 16 2015, 4:11 PM

Hi all! I'm less involved with Tool Labs now that good old Toolserver is gone. And I'll probably not make it to Lyon.

I see there are still open issues, e.g. what details of database tables are accessible to tools etc. (examples in T60791). During migration I often heard frustration about these "tiny" things that kept people from finishing migration or from having their tools work the way they did before. Some needed clarification with WMF Legal, others maybe just needed ops time. In the big picture of what legal and ops deal with, I suppose that these details never got the priority to get resolved (or rejected). They stayed there, pending.

I don't know how available the responsible people are during the Hackathon but if some of those old to dos could get resolved at some point that would be great! Tool developers could then test their tools right away.

Also, it might be worth a common discussion between tool developers and Tool Labs admins how to deal with such smaller feature requests in the future. Given that they might often be too small to get attention, it might be good to find a way to organize differently so that they can be realized. Often, getting your wish realized meant to bug @coren in IRC directly - who was probably in the middle of a different task. (To me, that sounds quite a stressful mode of working.) So maybe the tool community has ideas on how to collect/prioritize smaller requests and how the Tool Labs ops team can integrate these with all their "big" daily tasks. The goal would be a workflow that would make everybody happy. :p
(That said, this is what I recall from the past two years and I'm not sure about how everything is organized right now.)

scfc moved this task from Triage to Backlog on the Toolforge board.Apr 6 2015, 8:21 AM
silke removed a subscriber: silke.Apr 7 2015, 8:06 AM
Qgil added a comment.Apr 9 2015, 12:06 PM

What is the best way to send an invitation to the hackathon to the Labs / Tools Labs communities? We can plan for activities, but if the target users don't know that this is happening, it will be a missed opportunity.

I just checked the travel sponsorship requests from volunteers, and I could only see a couple of non-usual-suspects related with Labs / Tools Labs. Maybe the rest are coming on their own budget but I'd rather be suspicious that they just don't know yet.

What is the best way to send an invitation to the hackathon to the Labs / Tools Labs communities? We can plan for activities, but if the target users don't know that this is happening, it will be a missed opportunity.

Set a message of the day (MOTD) on all the bastion hosts. Everyone who logs in gets those.

scfc added a comment.Apr 9 2015, 10:14 PM

The bastion hosts run Ubuntu Trusty and setting motd on those is currently blocked by T85307. I would suggest sending an invitation to the mailing list (labs-l) as that has probably the widest reach.

scfc added a comment.Apr 9 2015, 10:15 PM

… or rather labs-announce.

Qgil added a comment.Apr 16 2015, 9:38 AM

@yuvipanda, any progress here? The event is around the corner.

Qgil added a comment.Apr 20 2015, 10:45 AM

In relation to T76325: Engage with established technical communities at the Wikimedia Hackathon 2015, are there any specific developers of any related communities that you would like to invite to Lyon? We can talk about travel sponsorship if it's reasonable.

Qgil added a comment.May 7 2015, 2:21 PM

If there are any sessions that you would prefer to schedule in advance (i.e. a training session for newcomers), please let me know. The time to book slots is now.

Note that most activities will not be scheduled in advanced, following the unconference model. However, we want to offer some structure for newcomers and for specific sessions with exceptional requirements.

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil closed this task as Resolved.May 27 2015, 10:05 PM